<?php

namespace App\Mail;

use App\Models\Admin_User;
use Illuminate\Bus\Queueable;
use Illuminate\Mail\Mailable;
use Illuminate\Mail\Mailables\Content;
use Illuminate\Mail\Mailables\Envelope;
use Illuminate\Queue\SerializesModels;

class AccountRemovalRequest extends Mailable
{
    use Queueable, SerializesModels;

    public function __construct(public readonly Admin_User $user) {}

    public function envelope(): Envelope
    {
        return new Envelope(
            subject: 'Account Removal Request Received',
        );
    }

    public function content(): Content
    {
        return new Content(
            view: 'emails.account_removal_request',
        );
    }
}
